Subject: Re: bug#25375: 25.1; how to configure (x-)select-enable-primary compatible with emacs24

From: Eli Zaretskii <[email-masked]>
Date: Fri, 06 Jan 2017 15:26:44 +0200

> From: David Bremner <[email-masked]>
> Date: Fri, 06 Jan 2017 07:59:06 -0400
> 
> Like many people I share emacs configuration between emacs 24 and emacs
> 25.
> 
> Emacs 25.1 customize wants to clean up by deleting obsolete variables,
> and in particular x-select-enable-primary. Unfortunately this breaks my
> workflow for for emacs 24.

Can you describe the scenario in more detail?  Are you customarily run
customize, even after your basic configuration is set up?  Otherwise,
I don't understand what is the trigger for that "cleanup".

> I believe the docstring for select-enable-primary is incorrect in
> stating the variable is available since 24.1

Yes, that appears to be a typo; I fixed it now.

Thanks.